const celebrityData = [
  { name: "Taylor Swift", chartPerformance: 95, socialMedia: 90, awards: 85, publicAppearances: 80, endorsements: 75 },
  { name: "Drake", chartPerformance: 90, socialMedia: 85, awards: 80, publicAppearances: 75, endorsements: 70 },
  // Add more celebrities here...
];

const celebrityList = document.querySelector('.celebrity-list');

function renderRankings(category = 'chart-performance') {
  const sortedCelebrities = celebrityData.sort((a, b) => b[category] - a[category]);
  celebrityList.innerHTML = sortedCelebrities
    .map((celebrity, index) => `
      <li>
        <span>${index + 1}. ${celebrity.name}</span>
        <span>${celebrity[category]} pts</span>
      </li>
    `)
    .join('');
}

document.querySelectorAll('.filter-buttons button').forEach(button => {
  button.addEventListener('click', () => {
    const category = button.dataset.category;
    renderRankings(category);
  });
});

// Initial render
renderRankings();